%define major         3
%define libname       %mklibname g15render %{major}
%define libname_devel %mklibname g15render -d

Name:           libg15render
Version:        3.0.4
Release:        %mkrel 2
Summary:        Library to render text and shapes into a buffer usable by the G15 keyboard
License:        GPLv2+
Group:          System/Libraries
URL:            https://gitlab.com/menelkir/libg15render
Source0:        https://gitlab.com/menelkir/libg15render/-/archive/%{version}/libg15render-%{version}.tar.bz2
Patch1:         0001-Update-pixel.c-to-complile-with-GCC-14.patch
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  g15-devel

%description
This is a library to render text and shapes into a buffer usable by the
Logitech G15 Gaming Keyboard.

This library probably isn't very useful without libg15 and/or g15daemon.

%package -n %{libname}
Summary:        Renders text and shapes into a buffer usable by the G15 keyboard
Group:          System/Libraries
Provides:       g15render = %{version}-%{release}

%description -n %{libname}
This is a library to render text and shapes into a buffer usable by the
Logitech G15 Gaming Keyboard.

This library probably isn't very useful without libg15 and/or g15daemon.

%package -n %{libname_devel}
Summary:        Renders text and shapes into a buffer usable by the G15 keyboard
Group:          Development/C
Provides:       g15render-devel = %{version}-%{release}
Requires:       g15render = %{version}

%description -n %{libname_devel}
This is a library to render text and shapes into a buffer usable by the
Logitech G15 Gaming Keyboard.

This library probably isn't very useful without libg15 and/or g15daemon.

%prep
%autosetup -p1

%build
%configure --enable-ttf --disable-static
%make_build

%install
%make_install

rm -r %{buildroot}%{_docdir}

%files -n %{libname}
%doc AUTHORS ChangeLog README
%license COPYING
%{_libdir}/libg15render.so.%{major}{,.*}

%files -n %{libname_devel}
%{_includedir}/*
%{_libdir}/libg15render.so
%{_mandir}/man3/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.0.4-2.mga10
+ Revision: 2222382
- Mageia 10 Mass Rebuild

* Mon Apr 29 2024 daviddavid <daviddavid> 3.0.4-1.mga10
+ Revision: 2061566
- new version: 3.0.4
- now libmajor is 3

* Fri Nov 11 2022 kekepower <kekepower> 1.2-1.mga9
+ Revision: 1905505
- imported package libg15render


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2-8mdv2011.0
+ Revision: 620122
- the mass rebuild of 2010.0 packages

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 1.2-7mdv2010.0
+ Revision: 439483
- rebuild for new libusb

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.2-6mdv2010.0
+ Revision: 429731
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.2-5mdv2009.0
+ Revision: 248649
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Feb 08 2008 David Walluck <walluck@mandriva.org> 1.2-3mdv2008.1
+ Revision: 163895
- fix Provides and Requires
- build API docs
- import libg15render


